Index: main/manager.c
===================================================================
--- main/manager.c	(revision 51252)
+++ main/manager.c	(working copy)
@@ -882,14 +882,17 @@
 	struct ast_config *cfg = ast_config_load("manager.conf");
 	char *cat = NULL;
 	struct ast_variable *v;
+	int gotit = 0;
 
 	if (!cfg)
 		return -1;
-	while ( (cat = ast_category_browse(cfg, cat)) ) {
+	do {
+		cat = ast_category_browse(cfg, cat);
 		/* "general" is not a valid user */
 		if (strcasecmp(cat, user) || !strcasecmp(cat, "general"))
 			continue;
 		/* collect parameters for the user's entry */
+		gotit = 1;
 		for (v = ast_variable_browse(cfg, cat); v; v = v->next) {
 			if (!strcasecmp(v->name, "secret"))
 				password = ast_strdupa(v->value);
@@ -909,7 +912,7 @@
 					s->writetimeout = val;
 			}
 		}
-	}
+	} while(cat && !gotit);
 
 	ast_config_destroy(cfg);
 	if (!cat) {
